VERSION 5.00
Begin VB.Form frmLoading 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Categorizer: Scanning Folders"
   ClientHeight    =   1905
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   4215
   Icon            =   "frmLoading.frx":0000
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1905
   ScaleWidth      =   4215
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer TimerRescanInbox 
      Left            =   3720
      Top             =   600
   End
   Begin VB.Label lblFolder 
      Height          =   495
      Left            =   1560
      TabIndex        =   2
      Top             =   1200
      Width           =   2535
   End
   Begin VB.Label Label2 
      Caption         =   "Current Status:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1440
      TabIndex        =   1
      Top             =   840
      Width           =   1575
   End
   Begin VB.Image imgCur 
      Height          =   855
      Left            =   120
      Top             =   840
      Width           =   975
   End
   Begin VB.Label Label1 
      Caption         =   "Please wait while your folders are scanned to create classifiers."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   3495
   End
   Begin VB.Image imgFlagDown 
      Height          =   480
      Left            =   120
      Picture         =   "frmLoading.frx":0442
      Top             =   2520
      Visible         =   0   'False
      Width           =   480
   End
   Begin VB.Image imgFlagUp 
      Height          =   480
      Left            =   120
      Picture         =   "frmLoading.frx":0884
      Top             =   1920
      Visible         =   0   'False
      Width           =   480
   End
End
Attribute VB_Name = "frmLoading"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' frmLoading
'
' 4/15/2001
' Kenrick Mock
' kenrick@acm.org
'
' This form displays the status of scanning the
' user's folders when Outlook is initially started.
' There is a graphic for a simple mailbox animation
' along with a timer used for re-scanning the inbox.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Private bCurImageUp As Boolean

Private Sub Form_Load()
    imgCur.Picture = imgFlagUp.Picture
    bCurImageUp = True
End Sub

Public Sub UpdateFolderName(sName As String)
    lblFolder.Caption = sName
End Sub

' Toggle the image on this form to make a little animation
' something to watch while we take so long to process :(
Public Sub TogglePicture()
    If bCurImageUp Then
        imgCur.Picture = imgFlagDown.Picture
        bCurImageUp = False
    Else
        imgCur.Picture = imgFlagUp.Picture
        bCurImageUp = True
    End If
End Sub

' This timer is activated to rescan the inbox for new
' messages.  A definite kludge since we don't receive
' events for when mail delivery is finished.
Private Sub TimerRescanInbox_Timer()
    frmLoading.TimerRescanInbox.Enabled = False
    ' Reclassify the inbox but don't enable the timer this time
    modFeatures.ClassifyInboxMsgs False
End Sub
