// CStrHash.h : Declaration of the CCStrHash

#ifndef __CSTRHASH_H_
#define __CSTRHASH_H_

#include "resource.h"       // main symbols
#include <iostream>
#include <string>
#include <vector>

typedef  unsigned long  int  ub4;   /* unsigned 4-byte quantities */
typedef  unsigned       char ub1;   /* unsigned 1-byte quantities */

/////////////////////////////////////////////////////////////////////////////
// CCStrHash
class ATL_NO_VTABLE CCStrHash : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CCStrHash, &CLSID_CStrHash>,
	public IDispatchImpl<ICStrHash, &IID_ICStrHash, &LIBID_STRHASHLib>
{
public:
	CCStrHash()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_CSTRHASH)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CCStrHash)
	COM_INTERFACE_ENTRY(ICStrHash)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// ICStrHash
public:
		HRESULT STDMETHODCALLTYPE HashStringToID(VARIANT vStrArray, VARIANT *pvIDArray);
private:
		ub4 myhash(register ub1 *k, register ub4 length, register ub4 initval);
};

#endif //__CSTRHASH_H_
